Subject: Re: My use case

From: [email-masked]
Date: Sat, 30 Jan 2010 12:48:44 -0500

On Sat, Jan 30, 2010 at 12:54:13AM -0800, Ron Garret wrote:
> Don't forget, I'm integrating this *into* the IDE, not just using it 
> *for* the IDE.  So I want to just have a context menu on each code 
> window with "SNAPSHOT" and "ROLLBACK" items that Just Work.  The casual 
> user won't even know that there's git behind the scenes.

This is a workflow question, I suppose, but I find things work much
better if you can get the user to give you explicit commit boundaries
so that (a) bisect works, and (b) they can describe what each commit
does, and (c) so they can more easily move specific bug fixes or
features between different release branches.  The free-form hacking
more may be nice, and very "LISP-like", but there are some real
advantages to having explicitly describable and documented commits.

Best regards,

					- Ted